import React from "react";
import bouclier from "@site/static/img/components/HomepagePromises/bouclier.svg";
import rgpd from "@site/static/img/components/HomepagePromises/rgpd.svg";
import liberte from "@site/static/img/components/HomepagePromises/liberte.svg";
import Promises from "./Promises";

const PromiseSectionTitle = "Faites la différence";

const PromiseList = [
  {
    title: "Sécurisé",
    Svg: bouclier,
    alt: "Icône d'un bouclier bleu",
    description: (
      <>
        <p>Vos données sont en lieu sûr et sauvegardées à deux endroits différents toutes les nuits.</p>
      </>
    ),
  },
  {
    title: "Souverain",
    Svg: rgpd,
    alt: "Icône d'un cadenas avec inscrit RGPD",
    description: (
      <>
        <p>Dites bye-bye au <i>Cloud Act</i> et aux risques d’espionnage industriel. Avec Froggit vous êtes hébergé en France et protégé par les normes RGPD.</p>
      </>
    ),
  },
  {
    title: "Libre",
    Svg: liberte,
    alt: "Icône de menottes brisées",
    description: (
      <>
        <p>Froggit se base sur des logiciels libres reconnus et des conditions générales d’utilisation complètement éthiques.</p>
      </>
    ),
  },
];

export default function HomepagePromises() {
  return (
    <div className="row-overflow homepage-section">
      <h2 className="text--center"> {PromiseSectionTitle} </h2>
      <section className="section-promises">    
        <div className="row">
          {PromiseList.map((props, idx) => (
            <Promises key={idx} {...props} />
          ))}
        </div>   
      </section>
    </div>
  );
}
